Bug 201592

Summary: Sorting images in queue from Batch Queue Manager
Product: digikam Reporter: Michal Thoma <michal>
Component: BatchQueueManager-WorkflowAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist CC: caulier.gilles, mohammed.ahmed.anwer, shouryasgupta, tarangrockr
Priority: NOR    
Version: 1.0.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.3.0

Description Michal Thoma 2009-07-26 23:18:47 UTC
Version:            (using KDE 4.2.2)
OS:                Linux
Installed from:    Ubuntu Packages

I would like to have possibilty to sort images in batch queue manager. Right now the images in queue are sorted according to order in which it was put in queue. This is not very comfortable to use so some possiblity for changing order of images would come handy.

It's very useful for example when exporting images for slideshow - I fix order in batch queue manager and using the rename function to hardcode this order in to the image file name.
Comment 1 caulier.gilles 2010-03-11 15:31:16 UTC
Any volunteer to implement a model to BQM QueueListView class ?

Gilles Caulier
Comment 2 Shourya Singh Gupta 2014-04-13 20:27:52 UTC
Yes. I would like to volunteer. What are the possible ways you suggest, in which I can implement a model to BQM QueueListView class ?
Comment 3 caulier.gilles 2014-04-14 15:02:27 UTC
It can be simple.

Look like this view is based on standard Qt listview.There is nothing special about model-view here in digiKam code. We use model provided by parent class.

You must write a model class as it's already do in other list view digiKam code where a sort is available, as for ex, AlbumTreeView which support sort stuff (recently improved by Mohamed through this bug :

https://bugs.kde.org/show_bug.cgi?id=227530

Look code from patch to get inspiration, and check current implementation to see how finally it's coded.

Gilles Caulier
Comment 4 caulier.gilles 2014-09-01 11:17:17 UTC
Mohamed,

Another task about sorting items, here in BQM queue where list of items to process is visible.

Gilles
Comment 5 caulier.gilles 2014-09-03 18:41:21 UTC
Git commit 07b17955b2895d3b4410abc729bad47557875f3b by Mohamed Anwer.
Committed on 03/09/2014 at 15:12.
Pushed by mohamedanwer into branch 'master'.

Enabling Sorting by columns BUG:201592 FIXED-IN:"4.3.0"

M  +2    -1    utilities/queuemanager/views/queuelist.cpp

http://commits.kde.org/digikam/07b17955b2895d3b4410abc729bad47557875f3b
Comment 6 caulier.gilles 2014-09-03 18:41:47 UTC
Git commit 5206d0b05aaf6663895199e96a9c4d24abd1e3a8 by Mohamed Anwer.
Committed on 03/09/2014 at 16:10.
Pushed by mohamedanwer into branch 'master'.

Adding default sorting column for BQM

M  +1    -0    utilities/queuemanager/views/queuelist.cpp

http://commits.kde.org/digikam/5206d0b05aaf6663895199e96a9c4d24abd1e3a8
Comment 7 caulier.gilles 2014-09-03 18:43:14 UTC
Mohamed,

Form origianl whish, we can read : "...some possiblity for changing order of images..."

Are you sure that your last commit are enough to solve this file ? List is now sort following filenames in acsending order. User cannot change order manually in this list.

Gilles
Comment 8 Mohamed 2014-09-03 22:10:01 UTC
Mr Gilles,

Try to click on the column header you want to sort by it -File name for example-, The order will toggle

Thanks.
Comment 9 caulier.gilles 2014-09-04 05:43:02 UTC
yes i know, but it think Michal want a free order of list contents, as you can re-order items as he want...

I close the file. We will see Michal feedback... 

Gilles